Summary: Integer point manipulation library
Name:    isl
Version: 0.16.1
Release: %mkrel 1
License: MIT
Group:   System/Libraries
URL:     http://isl.gforge.inria.fr/
Source0: http://isl.gforge.inria.fr/isl-%{version}.tar.xz

BuildRequires: gmp-devel
BuildRequires: pkgconfig
BuildRequires: gcc >= 5.2.1

%global libmajor 15

%define libname %mklibname isl %{libmajor}
%define devname %mklibname isl -d

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{libname}
Summary:  Integer point manipulation library
Group:   System/Libraries
Requires: isl >= %{version}-%{release}

%description -n %{libname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{devname}
Summary:  Development for building integer point manipulation library
Requires: isl >= %{version}-%{release}
Requires: %{libname} >= %{version}-%{release}
Requires: gmp-devel
%rename   isl-devel
Group:    Development/Other

%description -n %{devname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install INSTALL="install -p"
rm -f %{buildroot}/%{_libdir}/libisl.a
rm -f %{buildroot}/%{_libdir}/libisl.la
mkdir -p %{buildroot}/%{_datadir}
%global gdbprettydir %{_datadir}/gdb/auto-load/%{_libdir}
mkdir -p %{buildroot}/%{gdbprettydir}
mv %{buildroot}/%{_libdir}/*-gdb.py* %{buildroot}/%{gdbprettydir}

%check
make check

%files -n %{libname}
%{_libdir}/libisl.so.%{libmajor}{,.*}

%files
%doc AUTHORS ChangeLog LICENSE README
%{gdbprettydir}/*

%files -n %{devname}
%doc doc/manual.pdf
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc


%changelog
* Sun Jan 24 2016 luigiwalser <luigiwalser> 0.16.1-1.mga6
+ Revision: 926999
- update to 0.16.1 (lib major 15)

* Sun Jan 24 2016 luigiwalser <luigiwalser> 0.14-3.mga6
+ Revision: 926979
- revert to 0.14 temporarily to properly libify
- 0.16.1 (compatible with 0.15)

* Sun Jan 24 2016 luigiwalser <luigiwalser> 0.15-1.mga6
+ Revision: 926932
- 0.15
- library major is now 15
- use configure2_5x to fix build

* Thu Aug 20 2015 tmb <tmb> 0.14-2.mga6
+ Revision: 867004
- rebuild with new gcc

* Wed Aug 19 2015 tmb <tmb> 0.14-1.mga6
+ Revision: 866010
- fix devel group
- clean spec
- imported package isl

